# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# NETWinInfoPrivate Struct Reference

Private data for the NETWinInfo class. More...

`#include <netwm_p.h>`

Collaboration diagram for NETWinInfoPrivate:

[legend]
List of all members.

## Public Attributes

Display * | display
Window | window
Window | root
NET::MappingState | mapping_state
Bool | mapping_state_dirty
RArray< NETIcon > | icons
int | icon_count
NETRect | icon_geom
NETRect | win_geom
unsigned long | state
NETStrut | strut
NETStrut | frame_strut
NET::WindowType | type
char * | name
char * | visible_name
char * | icon_name
char * | visible_icon_name
int | desktop
int | pid
int | handled_icons
Window | kde_system_tray_win_for
unsigned long | properties
int | ref

## Detailed Description

Private data for the NETWinInfo class.

Definition at line 112 of file netwm_p.h.

The documentation for this struct was generated from the following file:

- netwm_p.h

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:50:20 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001